GNU logs - #33725, boring messages


Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#33725] [PATCH] gnu: llvm-rtti: Remove it.
Resent-From: Christopher Baines <mail@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Thu, 13 Dec 2018 13:01:02 +0000
Resent-Message-ID: <handler.33725.B.154470603922522 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 33725
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 33725 <at> debbugs.gnu.org
X-Debbugs-Original-To: guix-patches@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.154470603922522
          (code B ref -1); Thu, 13 Dec 2018 13:01:02 +0000
Received: (at submit) by debbugs.gnu.org; 13 Dec 2018 13:00:39 +0000
Received: from localhost ([127.0.0.1]:45918 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gXQbX-0005rC-2i
	for submit <at> debbugs.gnu.org; Thu, 13 Dec 2018 08:00:39 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45244)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gXQbV-0005qy-CQ
 for submit <at> debbugs.gnu.org; Thu, 13 Dec 2018 08:00:37 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1gXQbH-0006uv-Mu
 for submit <at> debbugs.gnu.org; Thu, 13 Dec 2018 08:00:30 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,UNPARSEABLE_RELAY
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:51044)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>) id 1gXQbE-0006tM-6k
 for submit <at> debbugs.gnu.org; Thu, 13 Dec 2018 08:00:20 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:54753)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1gXQb9-0002Vs-C5
 for guix-patches@HIDDEN; Thu, 13 Dec 2018 08:00:20 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1gXQb7-0006fh-Di
 for guix-patches@HIDDEN; Thu, 13 Dec 2018 08:00:15 -0500
Received: from mira.cbaines.net ([2a01:7e00::f03c:91ff:fe69:8da9]:57620)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1gXQb6-0006eD-Vq
 for guix-patches@HIDDEN; Thu, 13 Dec 2018 08:00:13 -0500
Received: from localhost (unknown [IPv6:2a00:8c40:243:232:e578:c72a:a557:a8f1])
 by mira.cbaines.net (Postfix) with ESMTPSA id 2BA3616879
 for <guix-patches@HIDDEN>; Thu, 13 Dec 2018 13:00:12 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 9edce8d6
 for <guix-patches@HIDDEN>; Thu, 13 Dec 2018 13:00:11 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
Date: Thu, 13 Dec 2018 14:00:11 +0100
Message-Id: <20181213130011.21616-1-mail@HIDDEN>
X-Mailer: git-send-email 2.18.0
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

This reverts commit f8cba3ff4fc6aed0c539700aa47b6e8f4c25c34d.

It sounds from the comment that this can hopefully be removed now.

* gnu/packages/llvm.scm (llvm-without-rtti): Remove it.
* gnu/packages/gl.scm (mesa)[inputs]: Switch to using llvm rather than
llvm-without-rtti.
---
 gnu/packages/gl.scm   |  3 +--
 gnu/packages/llvm.scm | 20 --------------------
 2 files changed, 1 insertion(+), 22 deletions(-)

diff --git a/gnu/packages/gl.scm b/gnu/packages/gl.scm
index d7c112928f..5313a74e5c 100644
--- a/gnu/packages/gl.scm
+++ b/gnu/packages/gl.scm
@@ -255,8 +255,7 @@ also known as DXTn or DXTC) for Mesa.")
         ("libxvmc" ,libxvmc)
         ,@(match (%current-system)
             ((or "x86_64-linux" "i686-linux")
-             ;; FIXME: Change to 'llvm' in the next rebuild cycle.
-             `(("llvm" ,llvm-without-rtti)))
+             `(("llvm" ,llvm)))
             (_
              `()))
         ("makedepend" ,makedepend)
diff --git a/gnu/packages/llvm.scm b/gnu/packages/llvm.scm
index 8a9d1d312b..4be86f3d21 100644
--- a/gnu/packages/llvm.scm
+++ b/gnu/packages/llvm.scm
@@ -95,26 +95,6 @@ languages is in development.  The compiler infrastructure includes mirror sets
 of programming tools as well as libraries with equivalent functionality.")
     (license license:ncsa)))
 
-;; FIXME: This package is here to prevent many rebuilds on x86_64 and i686
-;; from commit fc9dbf41311d99d0fd8befc789ea7c0e35911890.  Update users of
-;; this in the next rebuild cycle.
-(define-public llvm-without-rtti
-  (package
-    (inherit llvm)
-    (arguments
-     `(#:configure-flags '("-DCMAKE_SKIP_BUILD_RPATH=FALSE"
-                           "-DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE"
-                           "-DBUILD_SHARED_LIBS:BOOL=TRUE"
-                           "-DLLVM_ENABLE_FFI:BOOL=TRUE"
-                           "-DLLVM_INSTALL_UTILS=ON")
-       #:build-type "Release"
-       #:phases (modify-phases %standard-phases
-                  (add-before 'build 'shared-lib-workaround
-                    (lambda _
-                      (setenv "LD_LIBRARY_PATH"
-                              (string-append (getcwd) "/lib"))
-                      #t)))))))
-
 (define* (clang-runtime-from-llvm llvm hash
                                   #:optional (patches '()))
   (package
-- 
2.18.0





Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Christopher Baines <mail@HIDDEN>
Subject: bug#33725: Acknowledgement ([PATCH] gnu: llvm-rtti: Remove it.)
Message-ID: <handler.33725.B.154470603922522.ack <at> debbugs.gnu.org>
References: <20181213130011.21616-1-mail@HIDDEN>
X-Gnu-PR-Message: ack 33725
X-Gnu-PR-Package: guix-patches
X-Gnu-PR-Keywords: patch
Reply-To: 33725 <at> debbugs.gnu.org
Date: Thu, 13 Dec 2018 13:01:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 guix-patches@HIDDEN

If you wish to submit further information on this problem, please
send it to 33725 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
33725: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D33725
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#33725] [PATCH v2] gnu: llvm-rtti: Remove it.
Resent-From: Christopher Baines <mail@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Thu, 13 Dec 2018 13:29:02 +0000
Resent-Message-ID: <handler.33725.B33725.154470771725435 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33725
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 33725 <at> debbugs.gnu.org
Received: via spool by 33725-submit <at> debbugs.gnu.org id=B33725.154470771725435
          (code B ref 33725); Thu, 13 Dec 2018 13:29:02 +0000
Received: (at 33725) by debbugs.gnu.org; 13 Dec 2018 13:28:37 +0000
Received: from localhost ([127.0.0.1]:45937 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gXR2a-0006cA-Ja
	for submit <at> debbugs.gnu.org; Thu, 13 Dec 2018 08:28:36 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:41744
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gXR2Y-0006by-7n
 for 33725 <at> debbugs.gnu.org; Thu, 13 Dec 2018 08:28:34 -0500
Received: from localhost (unknown [IPv6:2a00:8c40:243:232:e578:c72a:a557:a8f1])
 by mira.cbaines.net (Postfix) with ESMTPSA id 290D2167BD
 for <33725 <at> debbugs.gnu.org>; Thu, 13 Dec 2018 13:28:33 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id cc712ffd
 for <33725 <at> debbugs.gnu.org>; Thu, 13 Dec 2018 13:28:32 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
Date: Thu, 13 Dec 2018 14:28:32 +0100
Message-Id: <20181213132832.24877-1-mail@HIDDEN>
X-Mailer: git-send-email 2.18.0
In-Reply-To: <20181213130011.21616-1-mail@HIDDEN>
References: <20181213130011.21616-1-mail@HIDDEN>
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This reverts commit f8cba3ff4fc6aed0c539700aa47b6e8f4c25c34d.

It sounds from the comment that this can hopefully be removed now.

* gnu/packages/llvm.scm (llvm-without-rtti): Remove it.
* gnu/packages/gl.scm (mesa)[inputs]: Switch to using llvm rather than
llvm-without-rtti.
---
 gnu/packages/gl.scm   |  3 +--
 gnu/packages/llvm.scm | 20 --------------------
 2 files changed, 1 insertion(+), 22 deletions(-)

diff --git a/gnu/packages/gl.scm b/gnu/packages/gl.scm
index d7c112928f..5313a74e5c 100644
--- a/gnu/packages/gl.scm
+++ b/gnu/packages/gl.scm
@@ -255,8 +255,7 @@ also known as DXTn or DXTC) for Mesa.")
         ("libxvmc" ,libxvmc)
         ,@(match (%current-system)
             ((or "x86_64-linux" "i686-linux")
-             ;; FIXME: Change to 'llvm' in the next rebuild cycle.
-             `(("llvm" ,llvm-without-rtti)))
+             `(("llvm" ,llvm)))
             (_
              `()))
         ("makedepend" ,makedepend)
diff --git a/gnu/packages/llvm.scm b/gnu/packages/llvm.scm
index 7eb785c364..ec79bcc95c 100644
--- a/gnu/packages/llvm.scm
+++ b/gnu/packages/llvm.scm
@@ -110,26 +110,6 @@ of programming tools as well as libraries with equivalent functionality.")
        (base32
         "08p27wv1pr9ql2zc3f3qkkymci46q7myvh8r5ijippnbwr2gihcb"))))))
 
-;; FIXME: This package is here to prevent many rebuilds on x86_64 and i686
-;; from commit fc9dbf41311d99d0fd8befc789ea7c0e35911890.  Update users of
-;; this in the next rebuild cycle.
-(define-public llvm-without-rtti
-  (package
-    (inherit llvm)
-    (arguments
-     `(#:configure-flags '("-DCMAKE_SKIP_BUILD_RPATH=FALSE"
-                           "-DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE"
-                           "-DBUILD_SHARED_LIBS:BOOL=TRUE"
-                           "-DLLVM_ENABLE_FFI:BOOL=TRUE"
-                           "-DLLVM_INSTALL_UTILS=ON")
-       #:build-type "Release"
-       #:phases (modify-phases %standard-phases
-                  (add-before 'build 'shared-lib-workaround
-                    (lambda _
-                      (setenv "LD_LIBRARY_PATH"
-                              (string-append (getcwd) "/lib"))
-                      #t)))))))
-
 (define* (clang-runtime-from-llvm llvm hash
                                   #:optional (patches '()))
   (package
-- 
2.18.0





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#33725] [PATCH v2] gnu: llvm-rtti: Remove it.
Resent-From: Leo Famulari <leo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Thu, 13 Dec 2018 20:28:01 +0000
Resent-Message-ID: <handler.33725.B33725.15447328652570 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33725
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Christopher Baines <mail@HIDDEN>
Cc: 33725 <at> debbugs.gnu.org
Received: via spool by 33725-submit <at> debbugs.gnu.org id=B33725.15447328652570
          (code B ref 33725); Thu, 13 Dec 2018 20:28:01 +0000
Received: (at 33725) by debbugs.gnu.org; 13 Dec 2018 20:27:45 +0000
Received: from localhost ([127.0.0.1]:46828 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gXXaC-0000fO-F0
	for submit <at> debbugs.gnu.org; Thu, 13 Dec 2018 15:27:44 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:49399)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1gXXaA-0000f1-UD
 for 33725 <at> debbugs.gnu.org; Thu, 13 Dec 2018 15:27:43 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 177502054D;
 Thu, 13 Dec 2018 15:27:37 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Thu, 13 Dec 2018 15:27:37 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=P5ejkN/+uKqMIO0zE2YEMDrJ
 ijoX0srap/16HrcogE4=; b=afFecpenc13JEz15BTSKz7ujTZknaE8whUhYp1fI
 Hs1Y3yBWH7Yxh5Ok0tJFm9TUKQcUEzZqCDxs/rWMycYYqpYLbrnSpD406FZxDgiV
 Tv43YKHX63E/1LvFfWUNiTsZBD16aUZ9P2xpiDughfVdG3yl4rSLVaFh5IyzNREu
 mUU=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=P5ejkN
 /+uKqMIO0zE2YEMDrJijoX0srap/16HrcogE4=; b=Vxat1qC0I+yHphaAmVtSfD
 c/fZyUs2QViWTh+xf/dIJB2URAawa/w04iGI0ZW5xwzEZPN9ZYWHeePyEiyjNwY0
 CTFZgC+A5+wQ04ZtAii10anF0uNwNiaJibqOciIgMPfbTmSaVhsA2ea1uyH2hdGy
 XO1Ndx02qkiZxHLGs462HITYMuo6Q6mKnLEnq+DFzpSBAvDaNyUhJRIjNv1NU5A/
 FgYdhIxxKZK5MUM/lkWgYAuWBI3wRkVdPDKOx2/YVU/bB6ZhKlt7g55CP3EMsVvQ
 +5rpSBTT2XIh8ItdjgL3Fy3mvGipDRGfgZ+/NrNN80cWNdfYtkmwL03hohk1Z9Qg
 ==
X-ME-Sender: <xms:tcASXACGUmdJlC0AhlEFVYBD5_ktulqKmS1GFzFgM9aYs8p0U5GeMg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtkedrudehvddgudefjecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfhuthenuceurghilhhouhhtmecu
 fedttdenucenucfjughrpeffhffvuffkfhggtggujggfsehgtderredtredvnecuhfhroh
 hmpefnvghoucfhrghmuhhlrghrihcuoehlvghosehfrghmuhhlrghrihdrnhgrmhgvqeen
 ucfkphepjeeirdduvdegrddvtddvrddufeejnecurfgrrhgrmhepmhgrihhlfhhrohhmpe
 hlvghosehfrghmuhhlrghrihdrnhgrmhgvnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:tcASXBMLt8TCHyY_1niR1Ekv8jEjtahqqB4c1ACqFHijMh6XhOzSJQ>
 <xmx:tcASXGjebDTuhCQY2E1uld4Lbsb2gCS3akokXnFlxgEzJZ4dVXcNFA>
 <xmx:tcASXHbpaqRkZxYeOCqIAYwouq1M3jX4kk1jkaDThFcSKciIM0RTyA>
 <xmx:ucASXHLX9Aooojx9zpD__JBBIQSxUIMXVeesUeUIf3Ycfp8zZ0Us0g>
Received: from localhost (c-76-124-202-137.hsd1.pa.comcast.net
 [76.124.202.137])
 by mail.messagingengine.com (Postfix) with ESMTPA id 330BEE467B;
 Thu, 13 Dec 2018 15:27:33 -0500 (EST)
Date: Thu, 13 Dec 2018 15:27:32 -0500
From: Leo Famulari <leo@HIDDEN>
Message-ID: <20181213202732.GC22790@HIDDEN>
References: <20181213130011.21616-1-mail@HIDDEN>
 <20181213132832.24877-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="gr/z0/N6AeWAPJVB"
Content-Disposition: inline
In-Reply-To: <20181213132832.24877-1-mail@HIDDEN>
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--gr/z0/N6AeWAPJVB
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Thu, Dec 13, 2018 at 02:28:32PM +0100, Christopher Baines wrote:
> This reverts commit f8cba3ff4fc6aed0c539700aa47b6e8f4c25c34d.
>=20
> It sounds from the comment that this can hopefully be removed now.
>=20
> * gnu/packages/llvm.scm (llvm-without-rtti): Remove it.
> * gnu/packages/gl.scm (mesa)[inputs]: Switch to using llvm rather than
> llvm-without-rtti.

Thanks! If the change doesn't trigger any rebuilds (that is, if the
package is really unused), please push!

Ideally, the commit message will say which commit made this package
unnecessary.

--gr/z0/N6AeWAPJVB
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlwSwLMACgkQJkb6MLrK
fwjpkRAA4QdBJwavPRr8QcTQsv1H7hleBehP90uwLBIrwfY7ymvH5Z7x3sZ0NXuP
XFDz/5BOyeuBcwkLqQDgC/UhWQQyaO8mw1+cFG3eBr/vkBU5ZNCG+APjFAx/dnaW
sXEZ08FRW1FUTYVqa48aNn2cpy97zeUTX3oxX1ySlnhZ4lx60G4oNrUxbdPgTBlR
dT+hgMdnUV52QzUWpWlIeogh18PBMABJYoN5/mqXfCOgksgLTz1akgIFS1xqtGNQ
cieREiX6VAY5+T7zoej2G06fmxoHf7HKFAxvQgcVRY7xYZ8xLTXI1bQIh0KKvpQh
QTomEmbc7nfJb7wLlHUC3/DTXcUp7dvt7rxOz4sotHUO1F4eO03VNYvum1wSb5uH
o7z7WUe/0CZvySaHgcHtVSxZXHZSsSJJD/J9UsEUVG6H0hrY8wNnFEZnoK/aohqE
Q01LwDcx7EpcOiaYwxXiBjg68lNsY0e3NhSSkyx4DqXI6RDRCcmGW0u6Jk2w2x0G
RkB1/q6ffslm6d3sgbeJl+LuWAjf6lsyhtah/A5rhgwW5n8w8f0ffMReoOzToHR2
VQEZ5XaG88F5NpnsSdJJQcV1y/22I7tgXLrFTwVLFnuXvjn7p8WdXl6ullOayAyc
HdXQHYNb8Xxk1A1io7Ga5FuKZOdOLbME+b+5MYME83JRuB9vRHw=
=Jlz/
-----END PGP SIGNATURE-----

--gr/z0/N6AeWAPJVB--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#33725] [PATCH v2] gnu: llvm-rtti: Remove it.
Resent-From: Christopher Baines <mail@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Fri, 14 Dec 2018 16:23:01 +0000
Resent-Message-ID: <handler.33725.B33725.154480456011669 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33725
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Leo Famulari <leo@HIDDEN>
Cc: 33725 <at> debbugs.gnu.org
Received: via spool by 33725-submit <at> debbugs.gnu.org id=B33725.154480456011669
          (code B ref 33725); Fri, 14 Dec 2018 16:23:01 +0000
Received: (at 33725) by debbugs.gnu.org; 14 Dec 2018 16:22:40 +0000
Received: from localhost ([127.0.0.1]:48481 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gXqEZ-000329-N5
	for submit <at> debbugs.gnu.org; Fri, 14 Dec 2018 11:22:39 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:43048
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gXqEX-000321-WF
 for 33725 <at> debbugs.gnu.org; Fri, 14 Dec 2018 11:22:38 -0500
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 11DCF16968;
 Fri, 14 Dec 2018 16:22:37 +0000 (GMT)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 0c66a7d1;
 Fri, 14 Dec 2018 16:22:36 +0000 (UTC)
References: <20181213130011.21616-1-mail@HIDDEN>
 <20181213132832.24877-1-mail@HIDDEN>
 <20181213202732.GC22790@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Christopher Baines <mail@HIDDEN>
In-reply-to: <20181213202732.GC22790@HIDDEN>
Date: Fri, 14 Dec 2018 16:22:34 +0000
Message-ID: <87r2ekw01h.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Leo Famulari <leo@HIDDEN> writes:

> On Thu, Dec 13, 2018 at 02:28:32PM +0100, Christopher Baines wrote:
>> This reverts commit f8cba3ff4fc6aed0c539700aa47b6e8f4c25c34d.
>>
>> It sounds from the comment that this can hopefully be removed now.
>>
>> * gnu/packages/llvm.scm (llvm-without-rtti): Remove it.
>> * gnu/packages/gl.scm (mesa)[inputs]: Switch to using llvm rather than
>> llvm-without-rtti.
>
> Thanks! If the change doesn't trigger any rebuilds (that is, if the
> package is really unused), please push!
>
> Ideally, the commit message will say which commit made this package
> unnecessary.

So, my understanding of this is that this change was made to prevent
some rebuilds a while ago. It does trigger quite a few rebuilds (1120),
so it'll need pushing to staging/core-updates.

I'll test some of these packages locally, and then probably push it to
core-updates, as there's some other stuff on staging I'd like to see
merged to master soonish.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAlwT2MpfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9XdKTg//c+dfMwFlq4DNpiUSs2xIiaJg8tHnF1uicwX7+eaxVgrfZ8CKV8ARShgH
oh60YwynCwYgUKZVNTspzXGwRUsA/QYjAzx25bvwSDxZcH678Iq8ST6dblfAs/qI
terdd8dBEpm4QRMM/WbLH87Z7WS7YVUgpziXfs2ofLy+ZrjK8K8el8KgeUkd3O9J
ys0ShO1jnMeuvA5MnjTw0JlVeDv0eM4z4hyxC5N7Xra24NE+OwKntkEWDdW84GUg
if+JzoYuKUKG6XvqYEp66hs30zbdGzqgx/aBBgzTPj4P02Z2qBRMzX08C07YGt2a
Ew4ac79fwdzHbt5ByLpnXCDD5b6a3PZbvU8win/MclazfZ4ZgCS7wHaGRF2iSBxB
nHSiNqi/IzhFc3Tbg+dLLqlzu6251Zte69MCx7X+6vmGhm5lRnrtmK26mnOjAg8Y
cR4CwKrLy2eO1LhORwvJXetdT3FiuhlShsdXp065zyK91hW39m+7t8+lvmlLtb9R
1KuXQ9oI3caWHQ4lGkC6cilylPlgfH6KzqxquPdTlwpj56nM8/jNG2RxlbE+VqtU
7yCwHslGhArjZdoV0YhRj8rpCuVPqNe08n3VzPHKj1WnHvc9tRloPQgVQlTLUK9i
dvbCJwQfm30qstwN2L7o+KzS5wCYFCK4ZN/GRMC7O1dq8fu6tuM=
=cp0v
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#33725] [PATCH v2] gnu: llvm-rtti: Remove it.
Resent-From: Christopher Baines <mail@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Sat, 15 Dec 2018 20:47:01 +0000
Resent-Message-ID: <handler.33725.B33725.154490677021447 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33725
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Leo Famulari <leo@HIDDEN>
Cc: 33725 <at> debbugs.gnu.org
Received: via spool by 33725-submit <at> debbugs.gnu.org id=B33725.154490677021447
          (code B ref 33725); Sat, 15 Dec 2018 20:47:01 +0000
Received: (at 33725) by debbugs.gnu.org; 15 Dec 2018 20:46:10 +0000
Received: from localhost ([127.0.0.1]:49714 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gYGp8-0005Zq-9C
	for submit <at> debbugs.gnu.org; Sat, 15 Dec 2018 15:46:10 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:44154
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gYGp5-0005Zh-GH
 for 33725 <at> debbugs.gnu.org; Sat, 15 Dec 2018 15:46:08 -0500
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 85FA9168F5;
 Sat, 15 Dec 2018 20:46:06 +0000 (GMT)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 5bfe5667;
 Sat, 15 Dec 2018 20:46:06 +0000 (UTC)
References: <20181213130011.21616-1-mail@HIDDEN>
 <20181213132832.24877-1-mail@HIDDEN>
 <20181213202732.GC22790@HIDDEN> <87r2ekw01h.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Christopher Baines <mail@HIDDEN>
In-reply-to: <87r2ekw01h.fsf@HIDDEN>
Date: Sat, 15 Dec 2018 20:46:05 +0000
Message-ID: <877egamsc2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Christopher Baines <mail@HIDDEN> writes:

> Leo Famulari <leo@HIDDEN> writes:
>
>> On Thu, Dec 13, 2018 at 02:28:32PM +0100, Christopher Baines wrote:
>>> This reverts commit f8cba3ff4fc6aed0c539700aa47b6e8f4c25c34d.
>>>
>>> It sounds from the comment that this can hopefully be removed now.
>>>
>>> * gnu/packages/llvm.scm (llvm-without-rtti): Remove it.
>>> * gnu/packages/gl.scm (mesa)[inputs]: Switch to using llvm rather than
>>> llvm-without-rtti.
>>
>> Thanks! If the change doesn't trigger any rebuilds (that is, if the
>> package is really unused), please push!
>>
>> Ideally, the commit message will say which commit made this package
>> unnecessary.
>
> So, my understanding of this is that this change was made to prevent
> some rebuilds a while ago. It does trigger quite a few rebuilds (1120),
> so it'll need pushing to staging/core-updates.
>
> I'll test some of these packages locally, and then probably push it to
> core-updates, as there's some other stuff on staging I'd like to see
> merged to master soonish.

I've tweaked the commit message, and tested this on top of core-updates
now. With a tweak to fix the build for python2-(minimal), I've
successfully built mesa and a few of it's dependnecies. So I've now
pushed to core-updates.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAlwVaA1fFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9Xd0vA/+J5KsCcna+bXFd73rx/1Ntgo9fWo/pXZawFJhY34fXmzEhxc6dRzgRbuL
w/Qs2ab6pnTVEbQJqkmiJdRQDzXOhQ9FadKVFx4ysZnuPrpCilyg04tA2aoKdW2C
0L/UclS1+go8hIOfsT1QtbaoFo2IxP7SFgXUqmFabWRhzb3zJa3JKt3wQs5o66AV
mN1npvHw9fceraW7GHE5eI7NkTWk8Wa9b6OsakZUixzCRqSgMllqO8PbS+nDDXo5
L1Pi8vvd54NQSOQ5cgn8lu19FmEU8jaNmh4Iq8hvtdQTGYErmISreP/po1Lew2/R
e05r6lkDMzouJv3B8Y1cHsIRiKBGaQ0u4OHKIywiX8xCvgYcio+tLh4b0mPbskCU
l7bu0qOWaIyk00QS9K7TpN0Lta89MdICXUT7XkjoArwYZ/QBCJ9JG/c69zKRmjm+
yRce8ihb1B9earp2U7cXOymMfUrF05uEb7Nj8XN8zuNvOPlifKEfR9WkztnIepoE
lmRyH8xVZ/BM7WYeyyPbPAUOaNdJno2NlDnVqPVzt5gp6t0GxuveSgmYiRjBsE+0
TjHSYHtyFV43wGLWbg4ZUQhCikXRptZVErX82V7GQi0Bs6T2yewfLzZ31cSZGGS6
P4HdJ5G8fJC3hSV16H/u0iGh5MRzLVsKAXqhb1QiWhCbAgH4TTY=
=6lyG
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#33725] [PATCH v2] gnu: llvm-rtti: Remove it.
Resent-From: Marius Bakke <mbakke@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Fri, 21 Dec 2018 21:18:01 +0000
Resent-Message-ID: <handler.33725.B33725.15454270352147 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33725
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Christopher Baines <mail@HIDDEN>, Leo Famulari <leo@HIDDEN>
Cc: 33725 <at> debbugs.gnu.org
Received: via spool by 33725-submit <at> debbugs.gnu.org id=B33725.15454270352147
          (code B ref 33725); Fri, 21 Dec 2018 21:18:01 +0000
Received: (at 33725) by debbugs.gnu.org; 21 Dec 2018 21:17:15 +0000
Received: from localhost ([127.0.0.1]:58860 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gaSAU-0000YY-OD
	for submit <at> debbugs.gnu.org; Fri, 21 Dec 2018 16:17:14 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:37875)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1gaSAT-0000YN-A1
 for 33725 <at> debbugs.gnu.org; Fri, 21 Dec 2018 16:17:14 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 2A73922276;
 Fri, 21 Dec 2018 16:17:08 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Fri, 21 Dec 2018 16:17:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=TAad1Fan+hzgTf85JICDoQjSQT
 h7FKZynRF0xXKVSpg=; b=HhewJ9l4efTnsS2dBv7axGk14OeFT22dh8nhqMHsrc
 Ea8bu1pUrq80LXD4l1Q5nRfCepYbQPmFf4b4qQCapQQuMEOGjS4LIE3Rk7wAi6mv
 cQifyXm6bVjzjr6Ao6Upe0yXrtuY/LvMDlucd6LcxJc8fcRdu5sBSPrAQFlZu92B
 9/aJMjglNQWkCXkYES4ilIJiBtPB0a8JH/qdpy1xaDW1lZYPskoJ2ZWZghdaAEyn
 pdLMR24HEmfGh22XbYd/3yyPyFrAvAtsFKNy6xfSRN3xx021HK5KYl8dJqUlf37J
 RKAeF/DfT1ahYL5YCQHXOlsV938jLkSpo5ZbzXK66h3w==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=TAad1F
 an+hzgTf85JICDoQjSQTh7FKZynRF0xXKVSpg=; b=SkML/IGG8Nw/zRjEbpD92h
 kzdIJOE5HMeG5XFBv5xgyuhp0//BYQebcP+Z4amnFMmJLksjE2ycBmBC0DNGxizT
 X7U7cu/9ICKiQjnQ4Wg0TgmsIrAutldRJkjnpKTAUjr88Fa74KFviKQao0C4uEkr
 Ts8QixPMRwh67smI+ewy2zOOtDz4FN8ImtdIPscWivaym0C8bkqagbc+5MYi+48M
 6Q1QwMYscA4EfCaSESk7nCaoUVr6JElzHmcO/IRTF6ZnNVjYmhc9J/MiaAVRO9pP
 IorEqqMMdbEeLCzPDcFputq/Gy/c5R22CBw2PfV63uStHI124MT8wNFesioh/jFw
 ==
X-ME-Sender: <xms:U1gdXCZ9MD4DVid5GgBzurSUIm0OhbIdVcAFOHOoOVW4ZRkiohs8Ig>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtkedrudejhedgudegkecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfhuthenuceurghilhhouhhtmecu
 fedttdenucenucfjughrpefhvffujghffgffkfggtgesghdtreertdertdenucfhrhhomh
 epofgrrhhiuhhsuceurghkkhgvuceomhgsrghkkhgvsehfrghsthhmrghilhdrtghomheq
 necuffhomhgrihhnpehgnhhurdhorhhgnecukfhppeeivddrudeirddvvdeirddugedtne
 curfgrrhgrmhepmhgrihhlfhhrohhmpehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhm
 necuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:U1gdXHNYxmMz5JkRdWY4sNpmffVzxiV07_I3yhdUeMSFYlsnbGnrYQ>
 <xmx:U1gdXOskVJGGbE3ioHsH5fgloUa4dD5_5RhIufagIoxo52pyGNitnw>
 <xmx:U1gdXF2kxBQ0eCV_7bgSUhE-nzcZ-5Dv0CcGHOkH8WfFjAhkBLNKMg>
 <xmx:VFgdXH5Pn4nYxIIE-EBHi1gEnlWt6o9soYFRv_4WZKP7AG9CgF5_fw>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id 176F9E44D4;
 Fri, 21 Dec 2018 16:17:06 -0500 (EST)
From: Marius Bakke <mbakke@HIDDEN>
In-Reply-To: <87r2ekw01h.fsf@HIDDEN>
References: <20181213130011.21616-1-mail@HIDDEN>
 <20181213132832.24877-1-mail@HIDDEN>
 <20181213202732.GC22790@HIDDEN> <87r2ekw01h.fsf@HIDDEN>
User-Agent: Notmuch/0.28 (https://notmuchmail.org) Emacs/26.1
 (x86_64-pc-linux-gnu)
Date: Fri, 21 Dec 2018 22:17:05 +0100
Message-ID: <87tvj68tri.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Christopher Baines <mail@HIDDEN> writes:

> Leo Famulari <leo@HIDDEN> writes:
>
>> On Thu, Dec 13, 2018 at 02:28:32PM +0100, Christopher Baines wrote:
>>> This reverts commit f8cba3ff4fc6aed0c539700aa47b6e8f4c25c34d.
>>>
>>> It sounds from the comment that this can hopefully be removed now.
>>>
>>> * gnu/packages/llvm.scm (llvm-without-rtti): Remove it.
>>> * gnu/packages/gl.scm (mesa)[inputs]: Switch to using llvm rather than
>>> llvm-without-rtti.
>>
>> Thanks! If the change doesn't trigger any rebuilds (that is, if the
>> package is really unused), please push!
>>
>> Ideally, the commit message will say which commit made this package
>> unnecessary.
>
> So, my understanding of this is that this change was made to prevent
> some rebuilds a while ago. It does trigger quite a few rebuilds (1120),
> so it'll need pushing to staging/core-updates.
>
> I'll test some of these packages locally, and then probably push it to
> core-updates, as there's some other stuff on staging I'd like to see
> merged to master soonish.

Good news!  This commit is already on 'staging' and should be merged
soonish:=20

https://git.savannah.gnu.org/cgit/guix.git/commit/?id=3D730a4728cc38799f968=
3bde5a0711ab10d42a9f8

:-)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAlwdWFEACgkQoqBt8qM6
VPq/rAgAiA761A+SM4yaBn4N6s9LZ9pNfpmP+NYNxLzdLTKCL+Le4njDW+RmLFGR
CrcS+i8C6lwDVqyqAY2nU34K+NPMzUF1FpUB3Q0GOAjP0fH+IBl5+Obh+9UcqKyd
MFkNcbIjRpVigrVegSUxsjO6wfdrN/JAR9MjkJmuFhM5Xu5Ajo4D2endqquDIXI1
VBkOG9FEmj0QOqz0KOHXaaCMJC++jUnktoUrO0TmAVKTNZpYMg/itxXCC7eQ+LQw
wlw/BFEBFwzy5CIB/cmRr58rnF5mKrw4NCcNJFUn/+DqQkqvDmMrhII0+YFWRD4Q
u//4NrEWirixCFYoLkiG5uMoD0yKQw==
=QSbZ
-----END PGP SIGNATURE-----
--=-=-=--




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 21 Jan 2019 19:10:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 21 14:10:19 2019
Received: from localhost ([127.0.0.1]:40483 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1glexf-0005dT-D8
	for submit <at> debbugs.gnu.org; Mon, 21 Jan 2019 14:10:19 -0500
Received: from mail-wm1-f51.google.com ([209.85.128.51]:36908)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cbaines8@HIDDEN>) id 1glenA-0005IN-Kw
 for control <at> debbugs.gnu.org; Mon, 21 Jan 2019 13:59:29 -0500
Received: by mail-wm1-f51.google.com with SMTP id g67so11831847wmd.2
 for <control <at> debbugs.gnu.org>; Mon, 21 Jan 2019 10:59:28 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:message-id:to:from:subject;
 bh=lbCeT/kF7SeHsoPuIEudMtmtnN7RKNv/hpoGGlZhpAI=;
 b=mIlc2PE02OI+EJWnkoYXPkVwixlUMAr0a+zW+2XQXg0e8L2feVdqQxV6yLwGU4sezU
 LhGfOz5g675xZyqUZ6yBcVpXcz3ov9TU6GePI/p3BSxX83/x2vz63I0PKd+ukc8oE6nj
 x6DWKIOJCxJBypqsL/xM2Dwxpm+LUUOtIXPF1zptP9x6/VPw2uGuZYBZh24okzK7CfBl
 hhQ1DRkihsbnvRhs0Hwg1OmRkAK2gHcIk0bsz1lEA6V+HsyAN7dlNgWgSBL2/BKr880w
 uDMlmXPk5Evjn2pPjIt7YAVWwB3MslePfpXecgs7WOe9xa3YLJhuUfiuRJOHB4GurlPi
 ylug==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:message-id:to:from:subject;
 bh=lbCeT/kF7SeHsoPuIEudMtmtnN7RKNv/hpoGGlZhpAI=;
 b=NZ4WdqoatjOfc2HogVUpkTrkbPMuVZvixqBnspZJ3taJ1cigpfauv9IX0kEWMvmdWd
 bdCaSanCBYAOr4wbWFQgv7ffkYxHd/VomxbhIIhL1ltkZwp+RL8K2RUf7lMQtglO3wXW
 R5qatWY2u6LhjcQ/EZsMTXz+WSKknc5E2Xs45fGHZ9rFQL7trpG068g5vWdOis98efeQ
 evggPcSC5vsNJ0oeyzAYdpPUoVo3h/rRY4NSn39SWsrI4isi3Cuw+WPqeFt1g3EhMLus
 mLGRSCZ7Z9J9AVUpkEV45/sJZcwc8j30q6pfhR6I1+uamGhpvPqoeSATWptpXPIVH9uC
 puPA==
X-Gm-Message-State: AJcUukdfWK/t/vEZ1eMq4T7rfDluNxEfKsfLU403wMj1BIGWSxSMas42
 32grZvQczr5RiAm0V6jGCTrHswuW
X-Google-Smtp-Source: ALg8bN7YL6CoqaipD5EQGj4zar/mc1BnzlvDfWM7Ikuah5E32/MrJeY/ZffDI8NY6nXXgqDDA3Q/3A==
X-Received: by 2002:a1c:2501:: with SMTP id l1mr609554wml.102.1548097162487;
 Mon, 21 Jan 2019 10:59:22 -0800 (PST)
Received: from capella (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net.
 [86.27.34.15])
 by smtp.gmail.com with ESMTPSA id y138sm59593121wmc.16.2019.01.21.10.59.21
 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 21 Jan 2019 10:59:21 -0800 (PST)
Date: Mon, 21 Jan 2019 18:59:20 +0000
Message-Id: <87o989j0qf.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Christopher Baines <cbaines8@HIDDEN>
Subject: control message for bug #33725
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: control
X-Mailman-Approved-At: Mon, 21 Jan 2019 14:10:17 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

tags 33725 pending





Last modified: Mon, 21 Jan 2019 19:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.